Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 16 Jan 2022 09:05:58 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hello,  It’s been more than a MONTH since I first called with a complaint. I had ordered from Max in October and applied for a return immediately.The delivery guy came about three weeks later and took the wrong product. A NIKEpair of football shoes. Since the 1st  week of November I have called MAXcustomer service at least 10 times and have now lost all my patience. Fromlistening to stories about how the manager is unavailable, or that my request wasescaladed to management to my product being there at Aramex for delivery tomaking me call Aramex with a tracking number provided by one of your employees.Im tired, frustrated and angry. Im writing this email to let you know that I amtaking this as a proof to the DED as well. With the amount or stress and frustrationyour team and service has provided me with, I will definitely be putting thisup on my social media and forwarding this email around to ensure that everyoneis aware of your terrible service and to prevent them for trusting your brand.  Stop keeping products that don’t belong to you. I demand forit to be returned in its pristine condition, which I highly doubt. Those were apair of new expensive shoes ordered from another place. I have lost theopportunity to return that to its rightful owners for a refund which You shouldbe compensating back to me.  Maybe you should invest some money in hiring a decent availablecustomer service manager or decent and active customer service representativeswho provide accurate information.
If it's not returned this week I will personally be paying a visit to your head at Landmark, Ded and the Warehouse in Ghusais. This is the last time ill be wasting my time on communicating my problem via the phone or internet.  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3555039